
Application: gvSIG desktop - gvSIG bugs #1073
Undo not works if you doing more than one editing process in a vector layer
09/03/2012 10:31 AM - María Maluenda

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-devel-2055
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2051 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1.- Open gvSIG 
2.- Open new View
3.- Add shape layer (http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip)
4.- Start editing
5.- Select a element (geometry)
6.- Move a vertex of the geometry
7.- Rotate geometry
8.- Move geometry
9.-Now click in undo tool
10.-The geometry returns to their position of after to rotated
11.-Click undo tool
12.-The geometry not returns to their original position, before to rotated
13.-Click undo tool 
14.-The vertex moved, not returns to their original position
If you only moved a vertex, and click undo tool, the vertex returns to their original position.
If you only rotate a geometry and click undo tool, the geometry returns to their original position.
The problem is chaining more than one editing process
------------------------------------------------------------
1.- Abrir gvSIG
2.- Abrir una Vista nueva
3.- Añadir shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip)
4.- Iniciar edición
5.- Seleccionar un elemento (geometría)
6.- Mover un vértice de la geometría
7.- Girar geometría
8.- Mover la geometría
9.- Clic en la herramienta deshacer
10.-La geometría vuelve a su posición de después de girar
11.-Clic en la herramienta deshacer
12.-La geometría no vuelve a su posición original, antes de ser girada
13.-Clic en la herramienta deshacer
14.-El vértice movido, no vuelve a su posición original
Si sólo mueve un vértice y hace clic en la herramienta deshacer, el vértice vuelve a su posición origen.
Si sólo gira una geometría y hace clic en la herramienta deshacer, la geometría vuelve a su posición original.
El problema es el encadenamiento de más de un proceso de edición.

05/17/2024 1/2

http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip
http://downloads.gvsig.org/download/geodata/vector/SHP2D/Alicante_Comunicaciones_ICV_SHP2d.zip


History
#1 - 09/05/2012 03:28 PM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez

#2 - 09/05/2012 04:45 PM - Juan Lucas Domínguez

I cannot reproduce this. We must see it in person because there is no log file to send .

#3 - 09/11/2012 12:33 PM - María Maluenda
- Status changed from New to Closed

Closed in the gvSIG build 2052

#4 - 10/01/2012 10:09 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-devel-2055
